/***********************************************************************/
/** @name general.h 
    @author Birgit Graf, UWA, 1998
*/
/***********************************************************************/

/*@{*/


/** Check for keypress.
    Check if KEY3 is pressed and set end_flag respectively.
*/
void PPend_test();

/** Error message.
    Print error message and end program.
*/
void error(char *str);

/** Return neg/pos value.
    Return -1 for input<0, 1 for input > 0 and 0 for input = 0.
 */
float fsign(float number);

/** Say whether player is goalkeeper */
int I_am_goalie();

/** Set Parameter (float) over keyboard */
float set_fparam(char text[], float minp, float start, float maxp, float inc);

/** Set Parameter (int) over keyboard */
int set_iparam(char text[], int minp, int start, int maxp, int inc);

/** Discrete arcustangent.
    Function to calculate arcustangent only using integers.
*/
float DiscAtan(int dy, int dx);


int I_am_goalie();

/** Function to update the flags shown on the LCD
 */

void UpdateFlags();


/*@}*/

